package sun.java2d.opengl;

import java.awt.geom.AffineTransform;
import sun.java2d.pipe.Region;
import java.awt.Composite;
import sun.java2d.SurfaceData;
import sun.java2d.loops.CompositeType;
import sun.java2d.loops.TransformBlit;

class OGLRTTSurfaceToSurfaceTransform extends TransformBlit
{
    OGLRTTSurfaceToSurfaceTransform() {
        super(OGLSurfaceData.OpenGLSurfaceRTT, CompositeType.AnyAlpha, OGLSurfaceData.OpenGLSurface);
    }
    
    @Override
    public void Transform(SurfaceData surfaceData, SurfaceData surfaceData2, Composite composite, Region region, AffineTransform affineTransform, int n, int n2, int n3, int n4, int n5, int n6, int n7) {
        OGLBlitLoops.IsoBlit(surfaceData, surfaceData2, null, null, composite, region, affineTransform, n, n2, n3, n2 + n6, n3 + n7, (double)n4, (double)n5, (double)(n4 + n6), (double)(n5 + n7), true);
    }
}
